std::_List_const_iterator< _Tp > Struct Template Reference

## Public Types

typedef const _List_node< _Tp > | _Node
typedef _List_const_iterator< _Tp > | _Self
typedef ptrdiff_t | difference_type
typedef _List_iterator< _Tp > | iterator
typedef std::bidirectional_iterator_tag | iterator_category
typedef const _Tp * | pointer
typedef const _Tp & | reference
typedef _Tp | value_type

## Public Member Functions

bool | operator!= (const _Self &__x) const noexcept
reference | operator* () const noexcept
_Self & | operator++ () noexcept
_Self | operator++ (int) noexcept
_Self & | operator-- () noexcept
_Self | operator-- (int) noexcept
pointer | operator-> () const noexcept
bool | operator== (const _Self &__x) const noexcept

## Public Attributes

noexcept | __pad0__: _M_node(__x) { } _List_const_iterator(const iterator& __x) noexcept : _M_node(__x._M_node) { } iterator _M_const_cast() const noexcept { return iterator(const_cast<__detail::_List_node_base*>(_M_node))
const __detail::_List_node_base * | _M_node

## Detailed Description

### template<typename _Tp>
struct std::_List_const_iterator< _Tp >

A list::const_iterator.

All the functions are op overloads.

Definition at line 204 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h